side_name = VP_GetSides()[3].name
side_AUS_name = VP_GetSides()[1].name

ScenEdit_SetDoctrine({side=side_name},{engage_opportunity_targets=true})
ScenEdit_SetDoctrine({side=side_name},{weapon_control_status_land=0})

local function add_all_to_group(units,group_name)
 for x = 1,#units do
  units[x].group=group_name
 end
end

nb_HER = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '210',
 subtype = '3005', 
 name = 'Hera Harbour', 
 side = side_name, 
 class = 'Structure (Naval Dock)', 
 proficiency = 'Regular', 
 latitude = '-8.55047726676632', 
 longitude = '125.573212423051', 
 heading = '10', 
 autodetectable = 'True' 
})

ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '428',
 subtype = '3001', 
 name = 'Metinaro', 
 side = side_name, 
 class = 'Building (Barracks)', 
 proficiency = 'Regular', 
 latitude = '-8.58980663205531', 
 longitude = '125.589458671555', 
 autodetectable = 'True'
})

ab_BAC = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '1712', 
 subtype = '9001', 
 name = 'Baucau Airport', 
 side = side_name, 
 class = 'Single-Unit Airfield (1x 2001-2600m Runway)', 
 proficiency = 'Regular', 
 latitude = '-8.49064585360113', 
 longitude = '126.398637410489',
 heading = math.random(0,359),
 autodetectable = 'True' 
})

ab_XAN = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '1593',
 subtype = '9001',
 name = 'Xanana Gusmao International Airport',
 side = side_name,
 class = 'Single-Unit Airfield (1x 2001-2600m Runway)',
 proficiency = 'Regular',
 latitude = 'S 9.18.14',
 longitude = 'E 125.17.13',
 heading = math.random(0,359),
 autodetectable = 'True'
})

ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '428',
 subtype = '3001', 
 name = 'Laga', 
 side = side_name, 
 class = 'Building (Barracks)', 
 proficiency = 'Regular', 
 latitude = '-8.50481994596639', 
 longitude = '126.594123353261', 
 autodetectable = 'True'
})

met_ammo = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '322', 
 subtype = '3003', 
 name = 'Metinaro Ammo Bunker', 
 side = side_name,
 class = 'Ammo Bunker (Surface)', 
 proficiency = 'Regular', 
 latitude = '-8.59455947458025', 
 longitude = '125.593868644482', 
 autodetectable = 'False',
})

ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Metinaro Ammo Bunker",
                                  met_ammo.magazines[1].mag_guid,wpn_dbid=2771,number=90,maxcap=90,new=true}) -- RB 70 Bolide

laga_ammo = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '322', 
 subtype = '3003', 
 name = 'Laga Ammo Bunker', 
 side = side_name,
 class = 'Ammo Bunker (Surface)', 
 proficiency = 'Regular', 
 latitude = '-8.50755369785437', 
 longitude = '126.599154767452', 
 autodetectable = 'False'
})

ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Laga Ammo Bunker",
                                  laga_ammo.magazines[1].mag_guid,wpn_dbid=1324,number=90,maxcap=90,new=true})-- RB 70 Bolide

ffdtl1=ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '292',
 subtype = '5002', 
 name = 'F-FDTL #1', 
 side = side_name, 
 class = 'SAM Plt (RBS 70 Bolide MANPADS x 3)', 
 proficiency = 'Regular', 
 latitude = '-8.63018267634459', 
 longitude = '125.637730391052', 
 autodetectable = 'False'
})

add_all_to_group({ffdtl1,met_ammo},"Metinaro Defence")

ffdtl2 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '292',
 subtype = '5002', 
 name = 'F-FDTL #2', 
 side = side_name, 
 class = 'SAM Plt (RBS 70 Bolide MANPADS x 3)', 
 proficiency = 'Regular', 
 latitude = '-8.53758131344923', 
 longitude = '126.633950011772',  
 autodetectable = 'False'
})

add_all_to_group({ffdtl2,laga_ammo},"Laga Defence")

-- South main road checkpoint
ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2738',
 subtype = '5001',
 name = 'F-FDTL #5',
 side = side_name,
 class = 'Vehicle (Truck, Armed Technical [ZU-23-2] x 1)',
 proficiency = 'Veteran',
 latitude = '-9.31660632105243',
 longitude = '125.259903526487',
 autodetectable = 'False',
 holdposition = true
})

-- Maliana Defence
ffdtl3 = ScenEdit_AddUnit({
 type = 'Facility', 
 dbid = '2738',
 subtype = '5001', 
 name = 'F-FDTL #3', 
 side = side_name, 
 class = 'Vehicle (Truck, Armed Technical [ZU-23-2] x 1)', 
 proficiency = 'Regular',
 latitude = '-8.97716411984635',
 longitude = '125.172923160336',
 autodetectable = 'False',
 holdposition = true
})

ffdtl4 = ScenEdit_AddUnit({
 type = 'Facility', 
 dbid = '2738',
 subtype = '5001', 
 name = 'F-FDTL #4', 
 side = side_name, 
 class = 'Vehicle (Truck, Armed Technical [ZU-23-2] x 1)', 
 proficiency = 'Veteran',
 latitude = '-8.98677150257289',
 longitude = '125.169406120372',
 autodetectable = 'False'
})

ffdtl6 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2272', 
 subtype = '5002', 
 name = 'F-FDTL #6', 
 side = side_name, 
 class = 'Inf Plt (Generic)', 
 proficiency = 'Regular',
 latitude = '-8.97142678130677',
 longitude = '125.122055417487',
 autodetectable = 'False'
})

ffdtl7 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2272', 
 subtype = '5002', 
 name = 'F-FDTL #7',
 side = side_name, 
 class = 'Inf Plt (Generic)', 
 proficiency = 'Regular',
 latitude = '-8.9805407931671',
 longitude = '125.133770799167',
 autodetectable = 'False'
})


ffdtl8 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2272', 
 subtype = '5002', 
 name = 'F-FDTL #8',
 side = side_name, 
 class = 'Inf Plt (Generic)', 
 proficiency = 'Regular',
 latitude = '-8.99283647323272',
 longitude = '125.140858250762',
 autodetectable = 'False'
})

ffdtl9 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2272', 
 subtype = '5002', 
 name = 'F-FDTL #9',
 side = side_name, 
 class = 'Inf Plt (Generic)', 
 proficiency = 'Regular',
 latitude = '-9.00391823257156',
 longitude = '125.164043533532',
 autodetectable = 'False',
 group = "Maliana Defence"
})

ffdtl10 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2272', 
 subtype = '5002', 
 name = 'F-FDTL #10',
 side = side_name, 
 class = 'Inf Plt (Generic)', 
 proficiency = 'Regular',
 latitude = '-9.01580273673406',
 longitude = '125.183780692755',
 autodetectable = 'False'
})

ffdtl11 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2739', 
 subtype = '5002', 
 name = 'F-FDTL #11',
 side = side_name, 
 class = 'Mortar Plt (120mm Mortar)', 
 proficiency = 'Regular',
 latitude = '-8.97027870164021',
 longitude = '125.171611901852',
 autodetectable = 'False',
 holdposition = true
})


ffdtl12 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '292',
 subtype = '5002', 
 name = 'F-FDTL #12',
 side = side_name, 
 class = 'SAM Plt (RBS 70 Bolide MANPADS x 3)', 
 proficiency = 'Veteran',
 latitude = '-8.97341717506073',
 longitude = '125.178611483161',
 autodetectable = 'False',
 holdposition = true
})

ScenEdit_AddUnit({
 subtype = '5001',
 type = 'Facility',
 side = side_name,
 latitude = -8.82413068001529,
 longitude = 125.60070487044,
 autodectable = 'No',
 dbid = 2213,
 name = 'F-FDTL Center #1',
 proficiency = 'Veteran',
 holdposition = true
})

ScenEdit_AddUnit({
 subtype = '5002',
 type = 'Facility',
 side=side_name,
 latitude = -8.82621837474128,
 longitude = 125.595810679447,
 autodectable = 'No',
 dbid = 2739,
 name = 'F-FDTL Center #2' ,
 proficiency = 'Veteran',
 holdposition = true
})

ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '292',
 subtype = '5002',
 name = 'F-FDTL Center #3',
 side = side_name,
 class = 'SAM Plt (RBS 70 Bolide MANPADS x 3)',
 proficiency = 'Regular',
 latitude = "S 8.53.24",
 longitude = "E 125.36.07",
 autodetectable = false,
 holdposition = true
})


maliana_ammo = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '322', 
 subtype = '3003', 
 name = 'Maliana Ammo Bunker', 
 side = side_name,
 class = 'Ammo Bunker (Surface)', 
 proficiency = 'Regular',
 latitude = '-8.97601304844156',
 longitude = '125.167982093366',
 autodetectable = 'False',
 group = "Maliana Defence"
})

maliana_diesel = ScenEdit_AddUnit({
 type = 'Facility',
 subtype = '3001',
 dbid = '45',
 name = 'Diesel (40k Liter Tank)',
 side = side_name,
 class = 'Diesel (40k Liter Tank)',
 proficiency = 'Regular',
 latitude = '-8.97348146506635',
 longitude = '125.172059883333',
 autodetectable = 'False',
 group = "Maliana Defence"
})

add_all_to_group({ffdtl3,
                 ffdtl4,
                 ffdtl6,
                 ffdtl7,
                 ffdtl8,
                 ffdtl9,
                 ffdtl10,
                 ffdtl11,
                 ffdtl12,
                 maliana_ammo,
                 maliana_diesel},"Maliana Defence")

ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Maliana Ammo Bunker",
                                  maliana_ammo.magazines[1].mag_guid,wpn_dbid=1415,number=1000,maxcap=1000,new=true}) -- 7.62mm MG Burst [20 rnds]
ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Maliana Ammo Bunker",
                                  maliana_ammo.magazines[1].mag_guid,wpn_dbid=3332,number=90,maxcap=90,new=true}) -- Generic Unguided Anti Tank Weapon
ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Maliana Ammo Bunker",
                                  maliana_ammo.magazines[1].mag_guid,wpn_dbid=357,number=1000,maxcap=1000,new=true})-- 23mm ZU-23-2 Burst [20 rnds]
ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Maliana Ammo Bunker",
                                  maliana_ammo.magazines[1].mag_guid,wpn_dbid=2264,number=400,maxcap=400,new=true})-- 120mm Mortar HE
ScenEdit_AddWeaponToUnitMagazine({side=side_name,unitname="Maliana Ammo Bunker",
                                  maliana_ammo.magazines[1].mag_guid,wpn_dbid=1324,number=90,maxcap=90,new=true})-- RB 70 Bolide

-- Cheesboard radar
radar = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '3131',
 subtype = '5001', 
 name = 'Aileu Early Warning', 
 side = side_name ,
 class = 'Radar (Cheese Board [96L6])', 
 proficiency = 'Regular', 
 latitude = '-8.81286689163673', 
 longitude = '125.514062632747', 
 autodetectable = 'False',
})

ScenEdit_SetEMCON('Unit',radar.guid,'Radar=Active')

-- Radar for the airport
atc  = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '892', 
 subtype = '5001', 
 name = 'Baucau Air Traffic Control', 
 side = side_name,
 class = 'Radar (Generic Air Traffic Control)', 
 proficiency = 'Ace', 
 latitude = '-8.50907523521622', 
 longitude = '126.388279423629', 
 autodetectable = 'True'
}) 
ScenEdit_SetEMCON('Unit',atc.guid,'Radar=Active')

atc2  = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '892',
 subtype = '5001',
 name = 'Xanana Gusmao Air Traffic Control',
 side = side_name,
 class = 'Radar (Generic Air Traffic Control)',
 proficiency = 'Ace',
 latitude = -9.29776742840307,
 longitude = 125.291726795843,
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',atc2.guid,'Radar=Active')

ScenEdit_AddUnit({
	type = 'Aircraft',
	dbid = '2008', -- Orion
	loadoutid = '15262',
	name = 'F-FDTL AEW',
	side = side_name,
	proficiency = "Regular",
	base = ab_BAC.guid
})

ship_p1 = ScenEdit_AddUnit({
 type = 'Ship',
 subtype = '3418',
 dbid = '3336',
 name = 'NRTL Aitana', 
 side = side_name,  
 class = 'ACV 110 Ashmore Guardian', 
 proficiency = 'Regular', 
 latitude = '-9.23096838284624', 
 longitude = '126.609582760235', 
 autodetectable = 'False'
})

fuel=ship_p1.fuel
fuel[3001].current=1500+math.random()*(2333-1500)
ship_p1.fuel=fuel

ScenEdit_AddUnit({
 type = 'Ship', 
 subtype = '3418', 
 dbid = '3336',
 name = 'NRTL Laline', 
 side = side_name, 
 class = 'ACV 110 Ashmore Guardian', 
 proficiency = 'Regular', 
 latitude = '-8.45416890380672', 
 longitude = '125.696231386874', 
 autodetectable = 'False'
})

ship_dili=ScenEdit_AddUnit({
 type = 'Ship', 
 dbid = '197',
 subtype = '3406', 
 name = 'NRTL Dili', 
 side = side_name, 
 class = 'PKM 301 Chamsuri [Sea Dolphin]', 
 proficiency = 'Regular', 
 latitude = '-9.69080973397072', 
 longitude = '126.018305702607', 
 autodetectable = 'False', 
})

fuel=ship_dili.fuel
fuel[3001].current=11000+math.random()*(15000-11000)
ship_dili.fuel=fuel

ship_hera=ScenEdit_AddUnit({
 type = 'Ship', 
 dbid = '197',
 subtype = '3406', 
 name = 'NRTL Hera', 
 side = side_name, 
 class = 'PKM 301 Chamsuri [Sea Dolphin]', 
 proficiency = 'Regular', 
 latitude = '-8.29464185938591', 
 longitude = '127.451759363426',  
 autodetectable = 'False', 
})

fuel=ship_hera.fuel
fuel[3001].current=13000+math.random()*(15000-13000)
ship_hera.fuel=fuel

saiseko = ScenEdit_AddUnit(
        {
         subtype = '9001',
         type = 'Ship',
         side = side_name,
         latitude = -8.33459573895084,
         longitude = 127.321339097356,
         autodectable = 'No',
         dbid = 328,
         heading=math.random(0,359),
         name = 'Saiseko Hope - 1' }
)

radiom = ScenEdit_AddUnit(
        {
         subtype = '3005',
         type = 'Facility',
         side = side_name,
         latitude = -8.83923970057174,
         longitude = 125.603223453598,
         autodectable = 'No',
         dbid = 3313,
         name = '5H8X+6M9 Radio Maubisse'
        }
)

mission_1_area = {side=side_name,area={{ name = 'RP-M143', side = side_name, locked = true, longitude = '125.421979597332', latitude = '-8.46732564482993' },
			     { name = 'RP-M144', side = side_name, locked = true, longitude = '127.204950720237', latitude = '-8.26363249848264' },
			     { name = 'RP-M145', side = side_name, locked = true, longitude = '127.487090893172', latitude = '-8.4388876076674' },
			     { name = 'RP-M146', side = side_name, locked = true, longitude = '125.548171924076', latitude = '-9.41005333477743' } }}
ScenEdit_AddReferencePoint(mission_1_area)
area={"RP-M143","RP-M144","RP-M145","RP-M146"}
ScenEdit_AddMission(side_name,"AEW","Patrol",{type='land',zone=area})
ScenEdit_SetMission(side_name,"AEW",{isactive=true,OnStation=1,
    OneThirdRule=false,CheckOPA=false,CheckWWR=true,ActiveEMCON=false,FlightSize=1,UseFlightSize=false,
    PatrolZone=area})

mission = ScenEdit_GetMission(side_name,"AEW")
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL AEW"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)

-- patrol for southern waters
mission_2_area = {side=side_name,
	area = {{ name = 'RP-M489', side = side_name, locked = true, longitude = '125.685903727175', latitude = '-9.25709878783572' },
			{ name = 'RP-M492', side = side_name, locked = true, longitude = '125.683733604802', latitude = '-10.0865778107155' },
			{ name = 'RP-M490', side = side_name, locked = true, longitude = '127.388167642601', latitude = '-8.46028384770684' },
			{ name = 'RP-M491', side = side_name, locked = true, longitude = '127.654253583719', latitude = '-9.8446002842701' } }}
ScenEdit_AddReferencePoint(mission_2_area)
area={"RP-M489","RP-M490","RP-M491","RP-M492"}
ScenEdit_AddMission(side_name,"Southern Patrol","Patrol",{type='sea',zone=area})
ScenEdit_SetMission(side_name,"Southern Patrol",{isactive=true,OnStation=0,
    OneThirdRule=false,CheckOPA=false,CheckWWR=true,ActiveEMCON=false,FlightSize=1,UseFlightSize=false,
    PatrolZone=area})

mission = ScenEdit_GetMission(side_name,"Southern Patrol")
unit =  ScenEdit_GetUnit({side=side_name,name="NRTL Aitana"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="NRTL Laline"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="NRTL Dili"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="NRTL Hera"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)

-- Maliana border
mission_3_area = {side=side_name,
                  area={ [1] = { name = 'RP-M502', latitude = '-8.96682374506256', highlighted = false, locked = true, longitude = '125.114606293642', side = side_name },
                         [2] = { name = 'RP-M503', latitude = '-8.94273433177139', highlighted = false, locked = true, longitude = '125.121440970698', side = side_name },
                         [3] = { name = 'RP-M504', latitude = '-9.00138074762987', highlighted = false, locked = true, longitude = '125.21823121304', side = side_name },
                         [4] = { name = 'RP-M505', latitude = '-9.02487360333143', highlighted = false, locked = true, longitude = '125.185304787431', side = side_name } }}
ScenEdit_AddReferencePoint(mission_3_area)
area={"RP-M502","RP-M503","RP-M504","RP-M505"}
ScenEdit_AddMission(side_name,"Border Patrol","Patrol",{type='land',zone=area})
ScenEdit_SetMission(side_name,"Border Patrol",{isactive=true,OnStation=0,
    OneThirdRule=false,CheckOPA=false,CheckWWR=true,ActiveEMCON=false,FlightSize=1,UseFlightSize=false,
    PatrolZone=area})
mission = ScenEdit_GetMission(side_name,"Border Patrol")
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL #6"}) -- all inf
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL #7"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL #8"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL #9"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL #10"})
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
unit =  ScenEdit_GetUnit({side=side_name,name="F-FDTL #4"}) -- truck
ScenEdit_AssignUnitToMission(unit.guid,mission.guid)